/* reset css defalts */
html,body{
    margin: 0;
    padding: 0;
}

body{
    font-family: 'Montserrat', sans-serif;
}

/* navigation */
.navigation{
    display: flex;
    justify-content: space-between;
    padding: 0 1rem;
}

.links ul{
    display: flex;
    padding: 0 1rem;
    list-style-type: none;
    gap: 0 1rem;
}
.links ul li a{
    text-decoration: none;
    color: black;
    font-weight: 500;
}   
.links ul li a:hover{
    color: #ff0000;
    text-decoration: underline;

}

/* hero section */
.hero{
    width: 100%;
    height: 100vh;

    /* flwxbox */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    
    /* background image */
    background-image: url('../images/hero-1.jpg');
    background-size: cover;
    background-position: center;
}
.hero h1{
    color: white;
    font-size: 3rem;
}

/* gallery section */
.gallery{
    width: 100%;
    height: 100vh;
}
/* h2 will go here later */
h2 {
    text-align: center;
    margin: 2rem 0;
}
.row{
    display: flex;
    width: 100%;
    height: 30%;
    margin: 1rem 0;
}
/* base styling for all boxes */
.box{
    background-color: lightgray;
    width: 100%;
    height: 100%;
    /* refrencing the wigth and height of the row */
    background-size: cover;
    background-position: center;
    margin: 1rem;
    border-radius: 8px;

    /* applying background image styling */
    background-size: cover;
    background-position: center;
    /* apply flexbox to realign text */
    display: flex;
    justify-content: center;
    align-items: end;

}
/* images */
#box1{
    background-image: url('../images/gallery-image-1.jpg');
}

#box2{
    background-image: url('../images/gallery-image-2.jpg');
}

#box3{
    background-image: url('../images/gallery-image-3.jpg');
}
#box4{
    background-image: url('../images/gallery-image-4.jpg');
}
#box5{
    background-image: url('../images/gallery-image-5.jpg');
}
#box6{
    background-image: url('../images/gallery-image-6.jpg');
}
#box7{
    background-image: url('../images/gallery-image-7.jpg');
}
#box8{
    background-image: url('../images/gallery-image-8.jpg');
}
#box9{
    background-image: url('../images/gallery-image-9.jpg');
}
#box10{
    background-image: url('../images/gallery-image-10.jpg');
}
#box11{
    background-image: url('../images/gallery-image-11.jpg');
}
#box12{
    background-image: url('../images/gallery-image-12.jpg');
}

/* footer styling */
footer{
    width: 100%;
    min-height: 300px;
    background-color: #000000;
}

footer p{
    color: white;
}



